<h1 mat-dialog-title>{{data.title}}</h1>
<div mat-dialog-content>

  <mat-form-field>
    <input matInput [(ngModel)]="numberItems" placeholder="Nombre d'items" type="number">
  </mat-form-field>

  <mat-form-field>
    <input matInput [(ngModel)]="price" placeholder="Prix" type="number">
  </mat-form-field>

  <mat-form-field>
    <mat-label>Item</mat-label>
    <mat-select [(ngModel)]="selected_article">
      <mat-option *ngFor="let article of articles" [value]="article">
        {{article.name}} ({{article.refCode}})
      </mat-option>
    </mat-select>
  </mat-form-field>

  <mat-form-field>
    <mat-label>Le magasin</mat-label>
    <mat-select (selectionChange)="changeStore()" [(ngModel)]="selected_store">
      <mat-option *ngFor="let store of stores" [value]="store">
        {{store.name}}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <mat-form-field>
    <mat-label>Le rayon</mat-label>
    <mat-select [(ngModel)]="selected_storeShelf">
      <mat-option *ngFor="let storeShelf of selectedStoreShelfs" [value]="storeShelf">
        {{storeShelf.name}}
      </mat-option>
    </mat-select>
  </mat-form-field>

</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Annuler</button>
  <button mat-button (click)="send()" cdkFocusInitial>Ok</button>
</div>